Page MenuHomePhabricator

Site stats not updating when links added to pages
Closed, ResolvedPublic

Description

We've had two reports of this now, T199041 and T200726.

Naturally adding links doesn't increase the article count, but running initSiteStats.php does.

Some fallout of the MCR changes?

Event Timeline

Reedy created this task.Jul 31 2018, 5:05 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJul 31 2018, 5:05 PM
Reedy triaged this task as High priority.Jul 31 2018, 5:05 PM
Reedy added a project: Regression.
Tgr added a subscriber: Tgr.Jul 31 2018, 6:57 PM

DerivedDataPageUpdater saves the old state in pageState but then never uses it. Probably $pageState['oldCountable'] should override $options['oldcountable'] in doUpdates() when the latter is null.

Cirdan added a subscriber: Cirdan.Jul 31 2018, 7:07 PM

@Tgr is probably right. I can look into this later today if nobody else does.

Change 449704 had a related patch set uploaded (by Gergő Tisza; owner: Gergő Tisza):
[mediawiki/core@master] Fix article counting logic in DerivedPageDataUpdater

https://gerrit.wikimedia.org/r/449704

Dcljr added a subscriber: Dcljr.Aug 1 2018, 4:34 PM

Change 449704 merged by jenkins-bot:
[mediawiki/core@master] Fix article counting logic in DerivedPageDataUpdater

https://gerrit.wikimedia.org/r/449704

Fix is merged. Does this need a backport? Or can this wait to go out with the train next week?

Tgr added a comment.Aug 3 2018, 1:38 PM

Also, do we need to run initSiteStats.php on all wikis? (Is that even feasible on large ones?)

Reedy added a comment.Aug 3 2018, 1:42 PM

Also, do we need to run initSiteStats.php on all wikis? (Is that even feasible on large ones?)

I think we just wait for https://github.com/wikimedia/puppet/blob/860482004dc69dc61d5d26e4985d70dbe2954228/modules/mediawiki/manifests/maintenance/initsitestats.pp to fix the problems

Change 450225 had a related patch set uploaded (by Reedy; owner: Gergő Tisza):
[mediawiki/core@wmf/1.32.0-wmf.15] Fix article counting logic in DerivedPageDataUpdater

https://gerrit.wikimedia.org/r/450225

Change 450225 merged by jenkins-bot:
[mediawiki/core@wmf/1.32.0-wmf.15] Fix article counting logic in DerivedPageDataUpdater

https://gerrit.wikimedia.org/r/450225

Reedy closed this task as Resolved.Aug 3 2018, 2:11 PM
Reedy assigned this task to Tgr.